function ellenorzes(){

    var tomb = [];
    for (var i = 0; i < 4; i++){
        var sorlist = [];
        var sor = document.getElementsByTagName("tr")[i].children;
        for(var j = 0; j < 4; j++){
            sorlist.push(Number(sor[j].children[0].value));
        }
        tomb.push(sorlist);
    }

    var win = true;
    for(var i = 0; i < 4; i++){

        for(var j = 1; j < 5; j++){         //rows
            if(tomb[i].indexOf(j) === -1){
                win = false;
            }
        }

        var templist = [];                  //cols
        for(var j = 0; j < 4; j++){
            templist.push(tomb[i][j]);
        }
        for(var j = 1; j < 5; j++){
            if(templist.indexOf(j) === -1){
                win = false;
            }
        }
    }
    if(win){
        alert("Gratulálok! Jól töltötted ki a Latin négyzetet!");
    }
    else{
        alert("Sajnálom! Nem sikerült, róbáld meg ismét!");
    }
}
